Package com.zfabrik.components.provider.util

## Class FSCRDBComponent

- java.lang.Object
- - com.zfabrik.components.provider.util.AbstractComponentDescriptor
  - - com.zfabrik.components.provider.util.FSCRDBComponent

- All Implemented Interfaces:
    `IComponentDescriptor`, `java.io.Serializable`

      public class FSCRDBComponent
      extends AbstractComponentDescriptor

  Utility component descriptor implementation used by `FSComponentRepositoryDB`.
  Author:
    hb
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.zfabrik.components.IComponentDescriptor

      `ANY_COMPONENT_TYPE, COMPONENT_CLZ, COMPONENT_DESCRIPTOR_STYLE_PLAIN, COMPONENT_NAME, COMPONENT_TYPE, DEPENDENCIES, EXTENSION_POINTS, LINK_COMPONENT_TYPE, LINK_TARGET_COMPONENT, REVISION_INFO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FSCRDBComponent​(FSCRDBComponent c)` | Copy constructor
    `FSCRDBComponent​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `boolean` | `isHasFile()` |
    `boolean` | `isHasFolder()` |
    `boolean` | `isResolved()` |
    `void` | `setHasFile​(boolean hasFile)` |
    `void` | `setHasFolder​(boolean hasFolder)` |
    `void` | `setResolved​(boolean resolved)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.zfabrik.components.provider.util.AbstractComponentDescriptor

      `getName, getProperties, getProperty, getRawProperties, getRevision, getType, processProperties, processProperties, setName, setProperties, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FSCRDBComponent

          public FSCRDBComponent​(java.lang.String name)

    - #### FSCRDBComponent

          public FSCRDBComponent​(FSCRDBComponent c)

      Copy constructor
      Parameters:
        `c` - `FSCRDBComponent` implementation to copy

  - ### Method Detail

    - #### setHasFile

          public void setHasFile​(boolean hasFile)

    - #### setHasFolder

          public void setHasFolder​(boolean hasFolder)

    - #### isHasFile

          public boolean isHasFile()

    - #### isHasFolder

          public boolean isHasFolder()

    - #### setResolved

          public void setResolved​(boolean resolved)

    - #### isResolved

          public boolean isResolved()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractComponentDescriptor`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractComponentDescriptor`